package parkup.entities;

import javax.persistence.*;

@Entity
@Table(name = "parking_session")
public class ParkingSession {
    @Id
    @Column(name = "parking_session_id")
    @SequenceGenerator(
            name="parking_session_generator",
            sequenceName = "parking_session_sequence",
            allocationSize = 1,
            initialValue = 700
    )
    @GeneratedValue(    //za postgres treba sequence da se namesti i ime na generator mi ga davamo kako od gore sto e
            strategy = GenerationType.SEQUENCE,
            generator = "parking_session_sequence_generator"
    )
    private int pssId;

    @Column(name = "time_start")
    private String timeStart;

    @Column(name = "time_end")
    private String timeEnd;

    public ParkingSession() {}

    public ParkingSession(int pssId, String timeStart, String timeEnd) {
        this.pssId = pssId;
        this.timeStart = timeStart;
        this.timeEnd = timeEnd;
    }

    public ParkingSession(String timeStart, String timeEnd) {
        this.timeStart = timeStart;
        this.timeEnd = timeEnd;
    }

    public int getPssId() {
        return this.pssId;
    }

    public void setPssId(int pssId) {
        this.pssId = pssId;
    }

    public String getTimeStart() {
        return this.timeStart;
    }

    public void setTimeStart(String timeStart) {
        this.timeStart = timeStart;
    }

    public String getTimeEnd() {
        return this.timeEnd;
    }

    public void setTimeEnd(String timeEnd) {
        this.timeEnd = timeEnd;
    }
}
